Skip to main content
GET
/
vendors
/
google
/
v1
/
nano-banana
/
edit
/
{task_id}
Get Image to Image Edit Task
curl --request GET \
  --url https://api.mulerun.com/vendors/google/v1/nano-banana/edit/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "task_info": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "completed",
    "created_at": "2025-09-21T00:00:00.000Z",
    "updated_at": "2025-09-21T00:00:00.000Z"
  },
  "images": [
    "https://example.com/image.png"
  ],
  "description": "A beautiful sunset over the mountains"
}

Documentation Index

Fetch the complete documentation index at: https://mulerun.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve the result of an image to image edit task by task ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Response

200 - application/json

Task result

task_info
object
images
string<uri>[]

List of edited image URLs

URL of the edited image

description
string

Model generated description of the edited image